<template>
  <v-breadcrumbs-item
    :active="active"
    :disabled="disabled"
  >
    <template #default>
      <div class="flex items-center self-stretch" :class="active ? 'cursor-default' : 'max-w-[240px] cursor-pointer'">
        <svn-pro-text
          regular
          body-large
          :class="!ellipsis ? active ? '' : 'line-clamp-1 break-all' : null"
          :color="active ? activeColor : 'onSurface'"
        >
          {{ ellipsis ? '...' : title }}
        </svn-pro-text>
      </div>
    </template>
  </v-breadcrumbs-item>
</template>

<script setup>
import SvnProText from '../styles/SvnProText.vue';

const props = defineProps({
  title: {
    type: String,
    default: "Title",
  },
  activeColor: {
    type: String,
    default: "primary",
  },
  active: {
    type: Boolean,
    default: false,
  },
  ellipsis: {
    type: Boolean,
    default: false,
  },
  disabled: {
    type: Boolean,
    default: false,
  },
})
</script>